Bug 853092 - rhev-h: supported vdsm compatibility versions should be supplied along with rhev-h ISOs
rhev-h: supported vdsm compatibility versions should be supplied along with r...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhev-hypervisor6 (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Mike Burns
Virtualization Bugs
: ZStream
Depends On:
Blocks: 842767 856827
  Show dependency treegraph
 
Reported: 2012-08-30 09:39 EDT by Einav Cohen
Modified: 2016-04-26 10:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add a file with RHEV-M compatibility information to the RHEV-H rpm. Reason: This is an internal enhancement to make upgrade from a RHEV-M server better. Result (if any): When installing the rhev-hypervisor6 rpm, a new file called vdsm-compatibility-<version>.txt will appear in /usr/share/rhev-hypervisor. This will contain information used by RHEV-M to determine if the image is a valid upgrade for a managed host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 13:58:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Einav Cohen 2012-08-30 09:39:12 EDT
Description of problem:
[See Bug 842767]
in order to display in RHEV-M GUI only available RHEV-H ISOs for upgrade that are relevant to the selected RHEV-H Host, each ISO need to report (either via the version.txt file or a separate file) its supported vdsm compatibility versions.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Mike Burns 2012-09-10 09:00:34 EDT
What format and information is needed?  I don't particularly like hard coding information like this, but it should be doable.
Comment 3 Einav Cohen 2012-09-10 09:57:16 EDT
(In reply to comment #2)
> What format and information is needed?  I don't particularly like hard
> coding information like this, but it should be doable.

passing the question on to Bug 842767 assignee, Shahar.
[Shahar: This needs to be confirmed with Barak/Itamar, but I think we need information similar to the "clusterLevels" data being returned as part of the "getVdsCaps()" vdsm response (e.g. "['3.0', '3.1']")]
Comment 4 Shahar Havivi 2012-09-10 10:22:15 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > What format and information is needed?  I don't particularly like hard
> > coding information like this, but it should be doable.
> 
> passing the question on to Bug 842767 assignee, Shahar.
> [Shahar: This needs to be confirmed with Barak/Itamar, but I think we need
> information similar to the "clusterLevels" data being returned as part of
> the "getVdsCaps()" vdsm response (e.g. "['3.0', '3.1']")]
Today we have txt files in: /usr/share/rhev-hypervisor/
such as: 
version-6.3-20120607.0.txt
with one line that represent the version - such as:
6.3,20120607.0

I suggest to add another line with supported cluster versions comma seperated:
3.0,3.1
Comment 5 Mike Burns 2012-09-11 09:44:41 EDT
Relevant part of the diff:

@@ -55,6 +56,7 @@ mkdir %{buildroot}
 %{__install} -d -m0755 %{buildroot}%{app_root}
 %{__install} -p -m0644 %{image_iso} %{buildroot}%{app_root}/%{product_code}-%{version}-%{release}.iso
 echo %{version},%{release} > %{buildroot}%{app_root}/version-%{version}-%{release}.txt
+echo %{vdsm_compat} >> %{buildroot}%{app_root}/version-%{version}-%{release}.txt

 %post
 nvr=0
Comment 7 Mike Burns 2012-09-19 11:23:31 EDT
Reset to assigned -- this causes a rhevm crash when upgrading rhev-h
Comment 8 Mike Burns 2012-09-19 12:24:05 EDT
*** Bug 858249 has been marked as a duplicate of this bug. ***
Comment 9 Mike Burns 2012-10-12 09:07:58 EDT
committed change will be available in next build.

The compatibility will be added in a new file
vdsm-compatibility-%{version}-%{release}.iso

A symlink pointing to the latest will be created as well named:
vdsm-compatibility.txt

The format of this file is:

3.1,3.0
Comment 15 errata-xmlrpc 2013-02-28 13:58:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0579.html

Note You need to log in before you can comment on or make changes to this bug.